CREATE FUNCTION m_siemens_bsc_processor_2_day() RETURNING INTEGER;

DEFINE pday INTEGER;
DEFINE count INTEGER;
let count = 0;

FOREACH 
SELECT unique(day) INTO pday FROM siemens_bsc_processor_day

INSERT INTO siemens_bsc_processor_2_day
(nc_id,
bsc_id,
day,
siemens_bsc_pcu_load_busy_hour,
tot_avg_load_total_time_on_ppxu,
avg_avg_load_total_time_on_ppxu,
min_avg_load_total_time_on_ppxu,
max_avg_load_total_time_on_ppxu,
sebpclbh_avg_load_total_time_on_ppxu,
sebtchbh_avg_load_total_time_on_ppxu,
sebtchfrbh_avg_load_total_time_on_ppxu,
sebtchhrbh_avg_load_total_time_on_ppxu
)

SELECT
siemens_bsc_processor_day.nc_id,
siemens_bsc_processor_day.bsc_id,
siemens_bsc_processor_day.day,
siemens_bsc_processor_day.siemens_bsc_pcu_load_busy_hour,
(siemens_bsc_processor_day.tot_load_total_time_on_ppxu0+
siemens_bsc_processor_day.tot_load_total_time_on_ppxu1+
siemens_bsc_processor_day.tot_load_total_time_on_ppxu2+
siemens_bsc_processor_day.tot_load_total_time_on_ppxu3+
siemens_bsc_processor_day.tot_load_prime_time_on_ppxu4+
siemens_bsc_processor_day.tot_load_total_time_on_ppxu5+
siemens_bsc_processor1_5_day.tot_load_total_time_on_ppxu6+
siemens_bsc_processor1_5_day.tot_load_total_time_on_ppxu7+
siemens_bsc_processor1_4_day.tot_load_total_time_on_ppxu8+
siemens_bsc_processor1_4_day.tot_load_total_time_on_ppxu9+
siemens_bsc_processor1_4_day.tot_load_total_time_on_ppxu10+
siemens_bsc_processor1_4_day.tot_load_total_time_on_ppxu11)/12,
(siemens_bsc_processor_day.avg_load_total_time_on_ppxu0+
siemens_bsc_processor_day.avg_load_total_time_on_ppxu1+
siemens_bsc_processor_day.avg_load_total_time_on_ppxu2+
siemens_bsc_processor_day.avg_load_total_time_on_ppxu3+
siemens_bsc_processor_day.avg_load_prime_time_on_ppxu4+
siemens_bsc_processor_day.avg_load_total_time_on_ppxu5+
siemens_bsc_processor1_5_day.avg_load_total_time_on_ppxu6+
siemens_bsc_processor1_5_day.avg_load_total_time_on_ppxu7+
siemens_bsc_processor1_4_day.avg_load_total_time_on_ppxu8+
siemens_bsc_processor1_4_day.avg_load_total_time_on_ppxu9+
siemens_bsc_processor1_4_day.avg_load_total_time_on_ppxu10+
siemens_bsc_processor1_4_day.avg_load_total_time_on_ppxu11)/12,
(siemens_bsc_processor_day.min_load_total_time_on_ppxu0+
siemens_bsc_processor_day.min_load_total_time_on_ppxu1+
siemens_bsc_processor_day.min_load_total_time_on_ppxu2+
siemens_bsc_processor_day.min_load_total_time_on_ppxu3+
siemens_bsc_processor_day.min_load_prime_time_on_ppxu4+
siemens_bsc_processor_day.min_load_total_time_on_ppxu5+
siemens_bsc_processor1_5_day.min_load_total_time_on_ppxu6+
siemens_bsc_processor1_5_day.min_load_total_time_on_ppxu7+
siemens_bsc_processor1_4_day.min_load_total_time_on_ppxu8+
siemens_bsc_processor1_4_day.min_load_total_time_on_ppxu9+
siemens_bsc_processor1_4_day.min_load_total_time_on_ppxu10+
siemens_bsc_processor1_4_day.min_load_total_time_on_ppxu11)/12,
(siemens_bsc_processor_day.max_load_total_time_on_ppxu0+
siemens_bsc_processor_day.max_load_total_time_on_ppxu1+
siemens_bsc_processor_day.max_load_total_time_on_ppxu2+
siemens_bsc_processor_day.max_load_total_time_on_ppxu3+
siemens_bsc_processor_day.max_load_prime_time_on_ppxu4+
siemens_bsc_processor_day.max_load_total_time_on_ppxu5+
siemens_bsc_processor1_5_day.max_load_total_time_on_ppxu6+
siemens_bsc_processor1_5_day.max_load_total_time_on_ppxu7+
siemens_bsc_processor1_4_day.max_load_total_time_on_ppxu8+
siemens_bsc_processor1_4_day.max_load_total_time_on_ppxu9+
siemens_bsc_processor1_4_day.max_load_total_time_on_ppxu10+
siemens_bsc_processor1_4_day.max_load_total_time_on_ppxu11)/12,
(siemens_bsc_processor_day.sebpclbh_load_total_time_on_ppxu0+
siemens_bsc_processor_day.sebpclbh_load_total_time_on_ppxu1+
siemens_bsc_processor_day.sebpclbh_load_total_time_on_ppxu2+
siemens_bsc_processor_day.sebpclbh_load_total_time_on_ppxu3+
siemens_bsc_processor_day.sebpclbh_load_prime_time_on_ppxu4+
siemens_bsc_processor_day.sebpclbh_load_total_time_on_ppxu5+
siemens_bsc_processor1_5_day.sebpclbh_load_total_time_on_ppxu6+
siemens_bsc_processor1_5_day.sebpclbh_load_total_time_on_ppxu7+
siemens_bsc_processor1_4_day.sebpclbh_load_total_time_on_ppxu8+
siemens_bsc_processor1_4_day.sebpclbh_load_total_time_on_ppxu9+
siemens_bsc_processor1_4_day.sebpclbh_load_total_time_on_ppxu10+
siemens_bsc_processor1_4_day.sebpclbh_load_total_time_on_ppxu11)/12,
(siemens_bsc_processor_day.sebtchbh_load_total_time_on_ppxu0+
siemens_bsc_processor_day.sebtchbh_load_total_time_on_ppxu1+
siemens_bsc_processor_day.sebtchbh_load_total_time_on_ppxu2+
siemens_bsc_processor_day.sebtchbh_load_total_time_on_ppxu3+
siemens_bsc_processor_day.sebtchbh_load_prime_time_on_ppxu4+
siemens_bsc_processor_day.sebtchbh_load_total_time_on_ppxu5+
siemens_bsc_processor1_5_day.sebtchbh_load_total_time_on_ppxu6+
siemens_bsc_processor1_5_day.sebtchbh_load_total_time_on_ppxu7+
siemens_bsc_processor1_4_day.sebtchbh_load_total_time_on_ppxu8+
siemens_bsc_processor1_4_day.sebtchbh_load_total_time_on_ppxu9+
siemens_bsc_processor1_4_day.sebtchbh_load_total_time_on_ppxu10+
siemens_bsc_processor1_4_day.sebtchbh_load_total_time_on_ppxu11)/12,
(siemens_bsc_processor_day.sebtchfrbh_load_total_time_on_ppxu0+
siemens_bsc_processor_day.sebtchfrbh_load_total_time_on_ppxu1+
siemens_bsc_processor_day.sebtchfrbh_load_total_time_on_ppxu2+
siemens_bsc_processor_day.sebtchfrbh_load_total_time_on_ppxu3+
siemens_bsc_processor_day.sebtchfrbh_load_prime_time_on_ppxu4+
siemens_bsc_processor_day.sebtchfrbh_load_total_time_on_ppxu5+
siemens_bsc_processor1_5_day.sebtchfrbh_load_total_time_on_ppxu6+
siemens_bsc_processor1_5_day.sebtchfrbh_load_total_time_on_ppxu7+
siemens_bsc_processor1_4_day.sebtchfrbh_load_total_time_on_ppxu8+
siemens_bsc_processor1_4_day.sebtchfrbh_load_total_time_on_ppxu9+
siemens_bsc_processor1_4_day.sebtchfrbh_load_total_time_on_ppxu10+
siemens_bsc_processor1_4_day.sebtchfrbh_load_total_time_on_ppxu11)/12,
(siemens_bsc_processor_day.sebtchhrbh_load_total_time_on_ppxu0+
siemens_bsc_processor_day.sebtchhrbh_load_total_time_on_ppxu1+
siemens_bsc_processor_day.sebtchhrbh_load_total_time_on_ppxu2+
siemens_bsc_processor_day.sebtchhrbh_load_total_time_on_ppxu3+
siemens_bsc_processor_day.sebtchhrbh_load_prime_time_on_ppxu4+
siemens_bsc_processor_day.sebtchhrbh_load_total_time_on_ppxu5+
siemens_bsc_processor1_5_day.sebtchhrbh_load_total_time_on_ppxu6+
siemens_bsc_processor1_5_day.sebtchhrbh_load_total_time_on_ppxu7+
siemens_bsc_processor1_4_day.sebtchhrbh_load_total_time_on_ppxu8+
siemens_bsc_processor1_4_day.sebtchhrbh_load_total_time_on_ppxu9+
siemens_bsc_processor1_4_day.sebtchhrbh_load_total_time_on_ppxu10+
siemens_bsc_processor1_4_day.sebtchhrbh_load_total_time_on_ppxu11)/12


FROM
siemens_bsc_processor_day, siemens_bsc_processor1_5_day, siemens_bsc_processor1_4_day

WHERE siemens_bsc_processor_day.day= (pday)
AND siemens_bsc_processor1_5_day.day = (pday)
AND siemens_bsc_processor1_4_day.day = (pday)
AND siemens_bsc_processor1_5_day.nc_id = siemens_bsc_processor_day.nc_id
AND siemens_bsc_processor1_4_day.nc_id = siemens_bsc_processor_day.nc_id;

LET count = count + 1;

END FOREACH;

RETURN count;

END FUNCTION;

EXECUTE FUNCTION m_siemens_bsc_processor_2_day();

DROP FUNCTION m_siemens_bsc_processor_2_day;
