CREATE FUNCTION m_siemens_bsc_processor_2_raw() RETURNING INTEGER;

DEFINE pday INTEGER;
DEFINE count INTEGER;
let count = 0;

FOREACH 
SELECT unique(day) INTO pday FROM siemens_bsc_processor_raw

INSERT INTO siemens_bsc_processor_2_raw
(nc_id,
bsc_id,
day,
avg_load_total_time_on_ppxu)

SELECT
siemens_bsc_processor_raw.nc_id,
siemens_bsc_processor_raw.bsc_id,
siemens_bsc_processor_raw.day,
(siemens_bsc_processor_raw.load_total_time_on_ppxu0+
siemens_bsc_processor_raw.load_total_time_on_ppxu1+
siemens_bsc_processor_raw.load_total_time_on_ppxu2+
siemens_bsc_processor_raw.load_total_time_on_ppxu3+
siemens_bsc_processor_raw.load_prime_time_on_ppxu4+
siemens_bsc_processor_raw.load_total_time_on_ppxu5+
siemens_bsc_processor1_5_raw.load_total_time_on_ppxu6+
siemens_bsc_processor1_5_raw.load_total_time_on_ppxu7+
siemens_bsc_processor1_4_raw.load_total_time_on_ppxu8+
siemens_bsc_processor1_4_raw.load_total_time_on_ppxu9+
siemens_bsc_processor1_4_raw.load_total_time_on_ppxu10+
siemens_bsc_processor1_4_raw.load_total_time_on_ppxu11)/12

FROM
siemens_bsc_processor_raw, siemens_bsc_processor1_5_raw, siemens_bsc_processor1_4_raw

WHERE siemens_bsc_processor_raw.day= (pday)
AND siemens_bsc_processor1_5_raw.day = (pday)
AND siemens_bsc_processor1_4_raw.day = (pday)
AND siemens_bsc_processor1_5_raw.nc_id = siemens_bsc_processor_raw.nc_id
AND siemens_bsc_processor1_4_raw.nc_id = siemens_bsc_processor_raw.nc_id;

LET count = count + 1;

END FOREACH;

RETURN count;

END FUNCTION;

EXECUTE FUNCTION m_siemens_bsc_processor_2_raw();

DROP FUNCTION m_siemens_bsc_processor_2_raw;
