CREATE FUNCTION m_siemens_bsc_processor_2_week() RETURNING INTEGER;

DEFINE pweek INTEGER;
DEFINE count INTEGER;
let count = 0;

FOREACH 
SELECT unique(week_of) INTO pweek FROM siemens_bsc_processor_week

INSERT INTO siemens_bsc_processor_2_week
(nc_id,
bsc_id,
week_of,
siemens_bsc_pcu_load_busy_hour,
tot_avg_load_total_time_on_ppxu,
avg_avg_load_total_time_on_ppxu,
min_avg_load_total_time_on_ppxu,
max_avg_load_total_time_on_ppxu,
sebpclbh_avg_load_total_time_on_ppxu,
sebtchbh_avg_load_total_time_on_ppxu,
sebtchfrbh_avg_load_total_time_on_ppxu,
sebtchhrbh_avg_load_total_time_on_ppxu
)

SELECT
siemens_bsc_processor_week.nc_id,
siemens_bsc_processor_week.bsc_id,
siemens_bsc_processor_week.week_of,
siemens_bsc_processor_week.siemens_bsc_pcu_load_busy_hour,
(siemens_bsc_processor_week.tot_load_total_time_on_ppxu0+
siemens_bsc_processor_week.tot_load_total_time_on_ppxu1+
siemens_bsc_processor_week.tot_load_total_time_on_ppxu2+
siemens_bsc_processor_week.tot_load_total_time_on_ppxu3+
siemens_bsc_processor_week.tot_load_prime_time_on_ppxu4+
siemens_bsc_processor_week.tot_load_total_time_on_ppxu5+
siemens_bsc_processor1_5_week.tot_load_total_time_on_ppxu6+
siemens_bsc_processor1_5_week.tot_load_total_time_on_ppxu7+
siemens_bsc_processor1_4_week.tot_load_total_time_on_ppxu8+
siemens_bsc_processor1_4_week.tot_load_total_time_on_ppxu9+
siemens_bsc_processor1_4_week.tot_load_total_time_on_ppxu10+
siemens_bsc_processor1_4_week.tot_load_total_time_on_ppxu11)/12,
(siemens_bsc_processor_week.avg_load_total_time_on_ppxu0+
siemens_bsc_processor_week.avg_load_total_time_on_ppxu1+
siemens_bsc_processor_week.avg_load_total_time_on_ppxu2+
siemens_bsc_processor_week.avg_load_total_time_on_ppxu3+
siemens_bsc_processor_week.avg_load_prime_time_on_ppxu4+
siemens_bsc_processor_week.avg_load_total_time_on_ppxu5+
siemens_bsc_processor1_5_week.avg_load_total_time_on_ppxu6+
siemens_bsc_processor1_5_week.avg_load_total_time_on_ppxu7+
siemens_bsc_processor1_4_week.avg_load_total_time_on_ppxu8+
siemens_bsc_processor1_4_week.avg_load_total_time_on_ppxu9+
siemens_bsc_processor1_4_week.avg_load_total_time_on_ppxu10+
siemens_bsc_processor1_4_week.avg_load_total_time_on_ppxu11)/12,
(siemens_bsc_processor_week.min_load_total_time_on_ppxu0+
siemens_bsc_processor_week.min_load_total_time_on_ppxu1+
siemens_bsc_processor_week.min_load_total_time_on_ppxu2+
siemens_bsc_processor_week.min_load_total_time_on_ppxu3+
siemens_bsc_processor_week.min_load_prime_time_on_ppxu4+
siemens_bsc_processor_week.min_load_total_time_on_ppxu5+
siemens_bsc_processor1_5_week.min_load_total_time_on_ppxu6+
siemens_bsc_processor1_5_week.min_load_total_time_on_ppxu7+
siemens_bsc_processor1_4_week.min_load_total_time_on_ppxu8+
siemens_bsc_processor1_4_week.min_load_total_time_on_ppxu9+
siemens_bsc_processor1_4_week.min_load_total_time_on_ppxu10+
siemens_bsc_processor1_4_week.min_load_total_time_on_ppxu11)/12,
(siemens_bsc_processor_week.max_load_total_time_on_ppxu0+
siemens_bsc_processor_week.max_load_total_time_on_ppxu1+
siemens_bsc_processor_week.max_load_total_time_on_ppxu2+
siemens_bsc_processor_week.max_load_total_time_on_ppxu3+
siemens_bsc_processor_week.max_load_prime_time_on_ppxu4+
siemens_bsc_processor_week.max_load_total_time_on_ppxu5+
siemens_bsc_processor1_5_week.max_load_total_time_on_ppxu6+
siemens_bsc_processor1_5_week.max_load_total_time_on_ppxu7+
siemens_bsc_processor1_4_week.max_load_total_time_on_ppxu8+
siemens_bsc_processor1_4_week.max_load_total_time_on_ppxu9+
siemens_bsc_processor1_4_week.max_load_total_time_on_ppxu10+
siemens_bsc_processor1_4_week.max_load_total_time_on_ppxu11)/12,
(siemens_bsc_processor_week.sebpclbh_load_total_time_on_ppxu0+
siemens_bsc_processor_week.sebpclbh_load_total_time_on_ppxu1+
siemens_bsc_processor_week.sebpclbh_load_total_time_on_ppxu2+
siemens_bsc_processor_week.sebpclbh_load_total_time_on_ppxu3+
siemens_bsc_processor_week.sebpclbh_load_prime_time_on_ppxu4+
siemens_bsc_processor_week.sebpclbh_load_total_time_on_ppxu5+
siemens_bsc_processor1_5_week.sebpclbh_load_total_time_on_ppxu6+
siemens_bsc_processor1_5_week.sebpclbh_load_total_time_on_ppxu7+
siemens_bsc_processor1_4_week.sebpclbh_load_total_time_on_ppxu8+
siemens_bsc_processor1_4_week.sebpclbh_load_total_time_on_ppxu9+
siemens_bsc_processor1_4_week.sebpclbh_load_total_time_on_ppxu10+
siemens_bsc_processor1_4_week.sebpclbh_load_total_time_on_ppxu11)/12,
(siemens_bsc_processor_week.sebtchbh_load_total_time_on_ppxu0+
siemens_bsc_processor_week.sebtchbh_load_total_time_on_ppxu1+
siemens_bsc_processor_week.sebtchbh_load_total_time_on_ppxu2+
siemens_bsc_processor_week.sebtchbh_load_total_time_on_ppxu3+
siemens_bsc_processor_week.sebtchbh_load_prime_time_on_ppxu4+
siemens_bsc_processor_week.sebtchbh_load_total_time_on_ppxu5+
siemens_bsc_processor1_5_week.sebtchbh_load_total_time_on_ppxu6+
siemens_bsc_processor1_5_week.sebtchbh_load_total_time_on_ppxu7+
siemens_bsc_processor1_4_week.sebtchbh_load_total_time_on_ppxu8+
siemens_bsc_processor1_4_week.sebtchbh_load_total_time_on_ppxu9+
siemens_bsc_processor1_4_week.sebtchbh_load_total_time_on_ppxu10+
siemens_bsc_processor1_4_week.sebtchbh_load_total_time_on_ppxu11)/12,
(siemens_bsc_processor_week.sebtchfrbh_load_total_time_on_ppxu0+
siemens_bsc_processor_week.sebtchfrbh_load_total_time_on_ppxu1+
siemens_bsc_processor_week.sebtchfrbh_load_total_time_on_ppxu2+
siemens_bsc_processor_week.sebtchfrbh_load_total_time_on_ppxu3+
siemens_bsc_processor_week.sebtchfrbh_load_prime_time_on_ppxu4+
siemens_bsc_processor_week.sebtchfrbh_load_total_time_on_ppxu5+
siemens_bsc_processor1_5_week.sebtchfrbh_load_total_time_on_ppxu6+
siemens_bsc_processor1_5_week.sebtchfrbh_load_total_time_on_ppxu7+
siemens_bsc_processor1_4_week.sebtchfrbh_load_total_time_on_ppxu8+
siemens_bsc_processor1_4_week.sebtchfrbh_load_total_time_on_ppxu9+
siemens_bsc_processor1_4_week.sebtchfrbh_load_total_time_on_ppxu10+
siemens_bsc_processor1_4_week.sebtchfrbh_load_total_time_on_ppxu11)/12,
(siemens_bsc_processor_week.sebtchhrbh_load_total_time_on_ppxu0+
siemens_bsc_processor_week.sebtchhrbh_load_total_time_on_ppxu1+
siemens_bsc_processor_week.sebtchhrbh_load_total_time_on_ppxu2+
siemens_bsc_processor_week.sebtchhrbh_load_total_time_on_ppxu3+
siemens_bsc_processor_week.sebtchhrbh_load_prime_time_on_ppxu4+
siemens_bsc_processor_week.sebtchhrbh_load_total_time_on_ppxu5+
siemens_bsc_processor1_5_week.sebtchhrbh_load_total_time_on_ppxu6+
siemens_bsc_processor1_5_week.sebtchhrbh_load_total_time_on_ppxu7+
siemens_bsc_processor1_4_week.sebtchhrbh_load_total_time_on_ppxu8+
siemens_bsc_processor1_4_week.sebtchhrbh_load_total_time_on_ppxu9+
siemens_bsc_processor1_4_week.sebtchhrbh_load_total_time_on_ppxu10+
siemens_bsc_processor1_4_week.sebtchhrbh_load_total_time_on_ppxu11)/12


FROM
siemens_bsc_processor_week, siemens_bsc_processor1_5_week, siemens_bsc_processor1_4_week

WHERE siemens_bsc_processor_week.week_of= (pweek)
AND siemens_bsc_processor1_5_week.week_of = (pweek)
AND siemens_bsc_processor1_4_week.week_of = (pweek)
AND siemens_bsc_processor1_5_week.nc_id = siemens_bsc_processor_week.nc_id
AND siemens_bsc_processor1_4_week.nc_id = siemens_bsc_processor_week.nc_id;

LET count = count + 1;

END FOREACH;

RETURN count;

END FUNCTION;

EXECUTE FUNCTION m_siemens_bsc_processor_2_week();

DROP FUNCTION m_siemens_bsc_processor_2_week;
