CREATE FUNCTION m_siemens_cell_intracell_handovers_3_day() RETURNING INTEGER;

DEFINE pday INTEGER;
DEFINE count INTEGER;
let count = 0;

FOREACH
SELECT unique(day) INTO pday FROM siemens_cell_intracell_handovers_3_day

INSERT INTO sie_int_intcell_ho_fail_day
(nc_id,
cell_id,
day,
tot_fail_intercell_ho_with_loss_ms,
avg_fail_intercell_ho_with_loss_ms,
min_fail_intercell_ho_with_loss_ms,
max_fail_intercell_ho_with_loss_ms,
sectchbh_fail_intercell_ho_with_loss_ms,
sectchfrbh_fail_intercell_ho_with_loss_ms
)

SELECT
nc_id,
cell_id,
day,
tot_failed_intercell_ho_with_loss_ms,
avg_failed_intercell_ho_with_loss_ms,
min_failed_intercell_ho_with_loss_ms,
max_failed_intercell_ho_with_loss_ms,
sectchbh_failed_intercell_ho_with_loss_ms,
sectchfrbh_failed_intercell_ho_with_loss_ms

FROM
siemens_cell_intracell_handovers_3_day

WHERE siemens_cell_intracell_handovers_3_day.day= (pday);

LET count = count + 1;

END FOREACH;

RETURN count;

END FUNCTION;

EXECUTE FUNCTION m_siemens_cell_intracell_handovers_3_day();

DROP FUNCTION m_siemens_cell_intracell_handovers_3_day;
