CREATE FUNCTION m_siemens_cell_intracell_handovers_3_week() RETURNING INTEGER;

DEFINE pweek INTEGER;
DEFINE count INTEGER;
let count = 0;

FOREACH
SELECT unique(week_of) INTO pweek FROM siemens_cell_intracell_handovers_3_week

INSERT INTO sie_int_intcell_ho_fail_week
(nc_id,
cell_id,
week_of,
tot_fail_intercell_ho_with_loss_ms,
avg_fail_intercell_ho_with_loss_ms,
min_fail_intercell_ho_with_loss_ms,
max_fail_intercell_ho_with_loss_ms,
sectchbh_fail_intercell_ho_with_loss_ms,
sectchfrbh_fail_intercell_ho_with_loss_ms
)

SELECT
nc_id,
cell_id,
week_of,
tot_failed_intercell_ho_with_loss_ms,
avg_failed_intercell_ho_with_loss_ms,
min_failed_intercell_ho_with_loss_ms,
max_failed_intercell_ho_with_loss_ms,
sectchbh_failed_intercell_ho_with_loss_ms,
sectchfrbh_failed_intercell_ho_with_loss_ms

FROM
siemens_cell_intracell_handovers_3_week

WHERE siemens_cell_intracell_handovers_3_week.week_of= (pweek);

LET count = count + 1;

END FOREACH;

RETURN count;

END FUNCTION;

EXECUTE FUNCTION m_siemens_cell_intracell_handovers_3_week();

DROP FUNCTION m_siemens_cell_intracell_handovers_3_week;
