CREATE FUNCTION m_siemens_cell_sdcch_4_raw() RETURNING INTEGER;

DEFINE pday INTEGER;
DEFINE count INTEGER;
let count = 0;

FOREACH 
SELECT unique(day) INTO pday FROM siemens_cell_sdcch_2_raw

INSERT INTO siemens_cell_sdcch_4_raw
(nc_id,
cell_id,
day,
lost_link_due_to_connection_fa,
lost_link_during_sdcch_used)

SELECT
nc_id,
cell_id,
day,
lost_link_due_to_msrfpci_expired+
lost_link_due_to_distance+
lost_link_due_to_ho_failure+
lost_link_due_to_radio_link+
lost_link_due_to_remote_transcoder,
lost_link_due_to_t200_expired+
lost_link_due_to_dm_response+
lost_link_due_to_seq_error+
lost_link_due_to_msrfpci_expired+
lost_link_due_to_distance+
lost_link_due_to_ho_failure+
lost_link_due_to_radio_link+
lost_link_due_to_remote_transcoder+
lost_link_due_to_unspecified

FROM
siemens_cell_sdcch_2_raw

WHERE siemens_cell_sdcch_2_raw.day= (pday);

LET count = count + 1;

END FOREACH;

RETURN count;

END FUNCTION;

EXECUTE FUNCTION m_siemens_cell_sdcch_4_raw();

DROP FUNCTION m_siemens_cell_sdcch_4_raw;
