CREATE FUNCTION m_siemens_cell_sdcch_4_week() RETURNING INTEGER;

DEFINE pweek INTEGER;
DEFINE count INTEGER;
let count = 0;

FOREACH 
SELECT unique(week_of) INTO pweek FROM siemens_cell_sdcch_2_week

INSERT INTO siemens_cell_sdcch_4_week
(nc_id,
cell_id,
week_of,
tot_lost_link_due_to_connection_fa,
avg_lost_link_due_to_connection_fa,
min_lost_link_due_to_connection_fa,
max_lost_link_due_to_connection_fa,
seccchbh_lost_link_due_to_connection_fa,
tot_lost_link_during_sdcch_used,
avg_lost_link_during_sdcch_used,
min_lost_link_during_sdcch_used,
max_lost_link_during_sdcch_used,
seccchbh_lost_link_during_sdcch_used
)

SELECT
nc_id,
cell_id,
week_of,
tot_lost_link_due_to_msrfpci_expired+
tot_lost_link_due_to_distance+
tot_lost_link_due_to_ho_failure+
tot_lost_link_due_to_radio_link+
tot_lost_link_due_to_remote_transcoder,
avg_lost_link_due_to_msrfpci_expired+
avg_lost_link_due_to_distance+
avg_lost_link_due_to_ho_failure+
avg_lost_link_due_to_radio_link+
avg_lost_link_due_to_remote_transcoder,
min_lost_link_due_to_msrfpci_expired+
min_lost_link_due_to_distance+
min_lost_link_due_to_ho_failure+
min_lost_link_due_to_radio_link+
min_lost_link_due_to_remote_transcoder,
max_lost_link_due_to_msrfpci_expired+
max_lost_link_due_to_distance+
max_lost_link_due_to_ho_failure+
max_lost_link_due_to_radio_link+
max_lost_link_due_to_remote_transcoder,
seccchbh_lost_link_due_to_msrfpci_expired+
seccchbh_lost_link_due_to_distance+
seccchbh_lost_link_due_to_ho_failure+
seccchbh_lost_link_due_to_radio_link+
seccchbh_lost_link_due_to_remote_transcoder,
tot_lost_link_due_to_t200_expired+
tot_lost_link_due_to_dm_response+
tot_lost_link_due_to_seq_error+
tot_lost_link_due_to_msrfpci_expired+
tot_lost_link_due_to_distance+
tot_lost_link_due_to_ho_failure+
tot_lost_link_due_to_radio_link+
tot_lost_link_due_to_remote_transcoder+
tot_lost_link_due_to_unspecified,
avg_lost_link_due_to_t200_expired+
avg_lost_link_due_to_dm_response+
avg_lost_link_due_to_seq_error+
avg_lost_link_due_to_msrfpci_expired+
avg_lost_link_due_to_distance+
avg_lost_link_due_to_ho_failure+
avg_lost_link_due_to_radio_link+
avg_lost_link_due_to_remote_transcoder+
avg_lost_link_due_to_unspecified,
min_lost_link_due_to_t200_expired+
min_lost_link_due_to_dm_response+
min_lost_link_due_to_seq_error+
min_lost_link_due_to_msrfpci_expired+
min_lost_link_due_to_distance+
min_lost_link_due_to_ho_failure+
min_lost_link_due_to_radio_link+
min_lost_link_due_to_remote_transcoder+
min_lost_link_due_to_unspecified,
max_lost_link_due_to_t200_expired+
max_lost_link_due_to_dm_response+
max_lost_link_due_to_seq_error+
max_lost_link_due_to_msrfpci_expired+
max_lost_link_due_to_distance+
max_lost_link_due_to_ho_failure+
max_lost_link_due_to_radio_link+
max_lost_link_due_to_remote_transcoder+
max_lost_link_due_to_unspecified,
seccchbh_lost_link_due_to_t200_expired+
seccchbh_lost_link_due_to_dm_response+
seccchbh_lost_link_due_to_seq_error+
seccchbh_lost_link_due_to_msrfpci_expired+
seccchbh_lost_link_due_to_distance+
seccchbh_lost_link_due_to_ho_failure+
seccchbh_lost_link_due_to_radio_link+
seccchbh_lost_link_due_to_remote_transcoder+
seccchbh_lost_link_due_to_unspecified

FROM
siemens_cell_sdcch_2_week

WHERE siemens_cell_sdcch_2_week.week_of= (pweek);

LET count = count + 1;

END FOREACH;

RETURN count;

END FUNCTION;

EXECUTE FUNCTION m_siemens_cell_sdcch_4_week();

DROP FUNCTION m_siemens_cell_sdcch_4_week;
