CREATE FUNCTION m_siemens_bsc_processor_2_month() RETURNING INTEGER;

DEFINE pmonth INTEGER;
DEFINE count INTEGER;
let count = 0;

FOREACH 
SELECT unique(month_of) INTO pmonth FROM siemens_bsc_processor_month

INSERT INTO siemens_bsc_processor_2_month
(nc_id,
bsc_id,
month_of,
siemens_bsc_pcu_load_busy_hour,
tot_avg_load_total_time_on_ppxu,
avg_avg_load_total_time_on_ppxu,
min_avg_load_total_time_on_ppxu,
max_avg_load_total_time_on_ppxu,
sebpclbh_avg_load_total_time_on_ppxu,
sebtchbh_avg_load_total_time_on_ppxu,
sebtchfrbh_avg_load_total_time_on_ppxu,
sebtchhrbh_avg_load_total_time_on_ppxu
)

SELECT
siemens_bsc_processor_month.nc_id,
siemens_bsc_processor_month.bsc_id,
siemens_bsc_processor_month.month_of,
siemens_bsc_processor_month.siemens_bsc_pcu_load_busy_hour,
(siemens_bsc_processor_month.tot_load_total_time_on_ppxu0+
siemens_bsc_processor_month.tot_load_total_time_on_ppxu1+
siemens_bsc_processor_month.tot_load_total_time_on_ppxu2+
siemens_bsc_processor_month.tot_load_total_time_on_ppxu3+
siemens_bsc_processor_month.tot_load_prime_time_on_ppxu4+
siemens_bsc_processor_month.tot_load_total_time_on_ppxu5+
siemens_bsc_processor1_5_month.tot_load_total_time_on_ppxu6+
siemens_bsc_processor1_5_month.tot_load_total_time_on_ppxu7+
siemens_bsc_processor1_4_month.tot_load_total_time_on_ppxu8+
siemens_bsc_processor1_4_month.tot_load_total_time_on_ppxu9+
siemens_bsc_processor1_4_month.tot_load_total_time_on_ppxu10+
siemens_bsc_processor1_4_month.tot_load_total_time_on_ppxu11)/12,
(siemens_bsc_processor_month.avg_load_total_time_on_ppxu0+
siemens_bsc_processor_month.avg_load_total_time_on_ppxu1+
siemens_bsc_processor_month.avg_load_total_time_on_ppxu2+
siemens_bsc_processor_month.avg_load_total_time_on_ppxu3+
siemens_bsc_processor_month.avg_load_prime_time_on_ppxu4+
siemens_bsc_processor_month.avg_load_total_time_on_ppxu5+
siemens_bsc_processor1_5_month.avg_load_total_time_on_ppxu6+
siemens_bsc_processor1_5_month.avg_load_total_time_on_ppxu7+
siemens_bsc_processor1_4_month.avg_load_total_time_on_ppxu8+
siemens_bsc_processor1_4_month.avg_load_total_time_on_ppxu9+
siemens_bsc_processor1_4_month.avg_load_total_time_on_ppxu10+
siemens_bsc_processor1_4_month.avg_load_total_time_on_ppxu11)/12,
(siemens_bsc_processor_month.min_load_total_time_on_ppxu0+
siemens_bsc_processor_month.min_load_total_time_on_ppxu1+
siemens_bsc_processor_month.min_load_total_time_on_ppxu2+
siemens_bsc_processor_month.min_load_total_time_on_ppxu3+
siemens_bsc_processor_month.min_load_prime_time_on_ppxu4+
siemens_bsc_processor_month.min_load_total_time_on_ppxu5+
siemens_bsc_processor1_5_month.min_load_total_time_on_ppxu6+
siemens_bsc_processor1_5_month.min_load_total_time_on_ppxu7+
siemens_bsc_processor1_4_month.min_load_total_time_on_ppxu8+
siemens_bsc_processor1_4_month.min_load_total_time_on_ppxu9+
siemens_bsc_processor1_4_month.min_load_total_time_on_ppxu10+
siemens_bsc_processor1_4_month.min_load_total_time_on_ppxu11)/12,
(siemens_bsc_processor_month.max_load_total_time_on_ppxu0+
siemens_bsc_processor_month.max_load_total_time_on_ppxu1+
siemens_bsc_processor_month.max_load_total_time_on_ppxu2+
siemens_bsc_processor_month.max_load_total_time_on_ppxu3+
siemens_bsc_processor_month.max_load_prime_time_on_ppxu4+
siemens_bsc_processor_month.max_load_total_time_on_ppxu5+
siemens_bsc_processor1_5_month.max_load_total_time_on_ppxu6+
siemens_bsc_processor1_5_month.max_load_total_time_on_ppxu7+
siemens_bsc_processor1_4_month.max_load_total_time_on_ppxu8+
siemens_bsc_processor1_4_month.max_load_total_time_on_ppxu9+
siemens_bsc_processor1_4_month.max_load_total_time_on_ppxu10+
siemens_bsc_processor1_4_month.max_load_total_time_on_ppxu11)/12,
(siemens_bsc_processor_month.sebpclbh_load_total_time_on_ppxu0+
siemens_bsc_processor_month.sebpclbh_load_total_time_on_ppxu1+
siemens_bsc_processor_month.sebpclbh_load_total_time_on_ppxu2+
siemens_bsc_processor_month.sebpclbh_load_total_time_on_ppxu3+
siemens_bsc_processor_month.sebpclbh_load_prime_time_on_ppxu4+
siemens_bsc_processor_month.sebpclbh_load_total_time_on_ppxu5+
siemens_bsc_processor1_5_month.sebpclbh_load_total_time_on_ppxu6+
siemens_bsc_processor1_5_month.sebpclbh_load_total_time_on_ppxu7+
siemens_bsc_processor1_4_month.sebpclbh_load_total_time_on_ppxu8+
siemens_bsc_processor1_4_month.sebpclbh_load_total_time_on_ppxu9+
siemens_bsc_processor1_4_month.sebpclbh_load_total_time_on_ppxu10+
siemens_bsc_processor1_4_month.sebpclbh_load_total_time_on_ppxu11)/12,
(siemens_bsc_processor_month.sebtchbh_load_total_time_on_ppxu0+
siemens_bsc_processor_month.sebtchbh_load_total_time_on_ppxu1+
siemens_bsc_processor_month.sebtchbh_load_total_time_on_ppxu2+
siemens_bsc_processor_month.sebtchbh_load_total_time_on_ppxu3+
siemens_bsc_processor_month.sebtchbh_load_prime_time_on_ppxu4+
siemens_bsc_processor_month.sebtchbh_load_total_time_on_ppxu5+
siemens_bsc_processor1_5_month.sebtchbh_load_total_time_on_ppxu6+
siemens_bsc_processor1_5_month.sebtchbh_load_total_time_on_ppxu7+
siemens_bsc_processor1_4_month.sebtchbh_load_total_time_on_ppxu8+
siemens_bsc_processor1_4_month.sebtchbh_load_total_time_on_ppxu9+
siemens_bsc_processor1_4_month.sebtchbh_load_total_time_on_ppxu10+
siemens_bsc_processor1_4_month.sebtchbh_load_total_time_on_ppxu11)/12,
(siemens_bsc_processor_month.sebtchfrbh_load_total_time_on_ppxu0+
siemens_bsc_processor_month.sebtchfrbh_load_total_time_on_ppxu1+
siemens_bsc_processor_month.sebtchfrbh_load_total_time_on_ppxu2+
siemens_bsc_processor_month.sebtchfrbh_load_total_time_on_ppxu3+
siemens_bsc_processor_month.sebtchfrbh_load_prime_time_on_ppxu4+
siemens_bsc_processor_month.sebtchfrbh_load_total_time_on_ppxu5+
siemens_bsc_processor1_5_month.sebtchfrbh_load_total_time_on_ppxu6+
siemens_bsc_processor1_5_month.sebtchfrbh_load_total_time_on_ppxu7+
siemens_bsc_processor1_4_month.sebtchfrbh_load_total_time_on_ppxu8+
siemens_bsc_processor1_4_month.sebtchfrbh_load_total_time_on_ppxu9+
siemens_bsc_processor1_4_month.sebtchfrbh_load_total_time_on_ppxu10+
siemens_bsc_processor1_4_month.sebtchfrbh_load_total_time_on_ppxu11)/12,
(siemens_bsc_processor_month.sebtchhrbh_load_total_time_on_ppxu0+
siemens_bsc_processor_month.sebtchhrbh_load_total_time_on_ppxu1+
siemens_bsc_processor_month.sebtchhrbh_load_total_time_on_ppxu2+
siemens_bsc_processor_month.sebtchhrbh_load_total_time_on_ppxu3+
siemens_bsc_processor_month.sebtchhrbh_load_prime_time_on_ppxu4+
siemens_bsc_processor_month.sebtchhrbh_load_total_time_on_ppxu5+
siemens_bsc_processor1_5_month.sebtchhrbh_load_total_time_on_ppxu6+
siemens_bsc_processor1_5_month.sebtchhrbh_load_total_time_on_ppxu7+
siemens_bsc_processor1_4_month.sebtchhrbh_load_total_time_on_ppxu8+
siemens_bsc_processor1_4_month.sebtchhrbh_load_total_time_on_ppxu9+
siemens_bsc_processor1_4_month.sebtchhrbh_load_total_time_on_ppxu10+
siemens_bsc_processor1_4_month.sebtchhrbh_load_total_time_on_ppxu11)/12


FROM
siemens_bsc_processor_month, siemens_bsc_processor1_5_month, siemens_bsc_processor1_4_month

WHERE siemens_bsc_processor_month.month_of= (pmonth)
AND siemens_bsc_processor1_5_month.month_of = (pmonth)
AND siemens_bsc_processor1_4_month.month_of = (pmonth)
AND siemens_bsc_processor1_5_month.nc_id = siemens_bsc_processor_month.nc_id
AND siemens_bsc_processor1_4_month.nc_id = siemens_bsc_processor_month.nc_id;

LET count = count + 1;

END FOREACH;

RETURN count;

END FUNCTION;

EXECUTE FUNCTION m_siemens_bsc_processor_2_month();

DROP FUNCTION m_siemens_bsc_processor_2_month;
