CREATE FUNCTION m_siemens_cell_intracell_handovers_3_month() RETURNING INTEGER;

DEFINE pmonth INTEGER;
DEFINE count INTEGER;
let count = 0;

FOREACH
SELECT unique(month_of) INTO pmonth FROM siemens_cell_intracell_handovers_3_month

INSERT INTO sie_int_intcell_ho_fail_month
(nc_id,
cell_id,
month_of,
tot_fail_intercell_ho_with_loss_ms,
avg_fail_intercell_ho_with_loss_ms,
min_fail_intercell_ho_with_loss_ms,
max_fail_intercell_ho_with_loss_ms,
sectchbh_fail_intercell_ho_with_loss_ms,
sectchfrbh_fail_intercell_ho_with_loss_ms
)

SELECT
nc_id,
cell_id,
month_of,
tot_failed_intercell_ho_with_loss_ms,
avg_failed_intercell_ho_with_loss_ms,
min_failed_intercell_ho_with_loss_ms,
max_failed_intercell_ho_with_loss_ms,
sectchbh_failed_intercell_ho_with_loss_ms,
sectchfrbh_failed_intercell_ho_with_loss_ms

FROM
siemens_cell_intracell_handovers_3_month

WHERE siemens_cell_intracell_handovers_3_month.month_of= (pmonth);

LET count = count + 1;

END FOREACH;

RETURN count;

END FUNCTION;

EXECUTE FUNCTION m_siemens_cell_intracell_handovers_3_month();

DROP FUNCTION m_siemens_cell_intracell_handovers_3_month;
