CREATE FUNCTION m_siemens_cell_radio_link_control_4_raw() RETURNING INTEGER;

DEFINE pday INTEGER;
DEFINE count INTEGER;
let count = 0;

FOREACH 
SELECT unique(day) INTO pday FROM siemens_cell_radio_link_control_raw

INSERT INTO siemens_cell_radio_link_control_4_raw
(nc_id,
cell_id,
day,
max_rlc_data_throughput
)

SELECT
nc_id,
cell_id,
day,
CASE
WHEN maximum(rlc_user_data_throughput_ul+rlc_sgnl_data_throughput_ul) >= 
maximum(rlc_user_data_throughput_dl+rlc_sgnl_data_throughput_dl)  THEN 
(rlc_user_data_throughput_ul+rlc_sgnl_data_throughput_ul)
ELSE (rlc_user_data_throughput_dl+rlc_sgnl_data_throughput_dl)
END

FROM

siemens_cell_radio_link_control_raw

WHERE siemens_cell_radio_link_control_raw.day= (pday);

LET count = count + 1;

END FOREACH;

RETURN count;

END FUNCTION;

EXECUTE FUNCTION m_siemens_cell_radio_link_control_4_raw();

DROP FUNCTION m_siemens_cell_radio_link_control_4_raw;
